Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.nio.protocol
Class NHttpRequestHandlerRegistry

    java.lang.Object
      org.apache.http.nio.protocol.NHttpRequestHandlerRegistry

All Implemented Interfaces:
  NHttpRequestHandlerResolver

Deprecated. (4.2) use `UriHttpAsyncRequestHandlerMapper`

    @Deprecated
    public class NHttpRequestHandlerRegistry

extends Object
implements NHttpRequestHandlerResolver

Maintains a map of HTTP request handlers keyed by a request URI pattern.
Patterns may have three formats:

- `*`
- `*&lt;uri&gt;`
- `&lt;uri&gt;*`

This class can be used to resolve an instance of `NHttpRequestHandler` matching a particular request URI. Usually the resolved request handler will be used to process the request with the specified request URI.

Since:
  4.0

Constructor Summary
`NHttpRequestHandlerRegistry()` Deprecated.

Method Summary
`Map<String,NHttpRequestHandler>` | `getHandlers()` Deprecated. Get the handler map.
`NHttpRequestHandler` | `lookup(String requestURI)` Deprecated. Looks up a handler matching the given request URI.
`void` | `register(String pattern, NHttpRequestHandler handler)` Deprecated. Registers the given `NHttpRequestHandler` as a handler for URIs matching the given pattern.
`void` | `setHandlers(Map<String,NHttpRequestHandler> map)` Deprecated. Sets handlers from the given map.
`void` | `unregister(String pattern)` Deprecated. Removes registered handler, if exists, for the given pattern.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NHttpRequestHandlerRegistry

    public NHttpRequestHandlerRegistry()

  Deprecated.

Method Detail

### register

    public void register(String pattern,
                         NHttpRequestHandler handler)

  Deprecated.
  Registers the given `NHttpRequestHandler` as a handler for URIs matching the given pattern.

  Parameters:
    `pattern` - the pattern to register the handler for.
    `handler` - the handler.

### unregister

    public void unregister(String pattern)

  Deprecated.
  Removes registered handler, if exists, for the given pattern.

  Parameters:
    `pattern` - the pattern to unregister the handler for.

### setHandlers

    public void setHandlers(Map<String,NHttpRequestHandler> map)

  Deprecated.
  Sets handlers from the given map.

  Parameters:
    `map` - the map containing handlers keyed by their URI patterns.

### getHandlers

    public Map<String,NHttpRequestHandler> getHandlers()

  Deprecated.
  Get the handler map.

  Returns:
    The map of handlers and their associated URI patterns.
  Since:
    4.2

### lookup

    public NHttpRequestHandler lookup(String requestURI)

  Deprecated.
  Description copied from interface: `NHttpRequestHandlerResolver`
  Looks up a handler matching the given request URI.

  Specified by:
    `lookup` in interface `NHttpRequestHandlerResolver`
  Parameters:
    `requestURI` - the request URI
  Returns:
    HTTP request handler or `null` if no match is found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005–2021 The Apache Software Foundation. All rights reserved.